## Poppler Text Span Poppler Text Span |

## Functions

PopplerTextSpan * | poppler_text_span_copy ()
void | poppler_text_span_free ()
void | poppler_text_span_get_color ()
const gchar * | poppler_text_span_get_font_name ()
const gchar * | poppler_text_span_get_text ()
gboolean | poppler_text_span_is_bold_font ()
gboolean | poppler_text_span_is_fixed_width_font ()
gboolean | poppler_text_span_is_serif_font ()

## Types and Values

| PopplerTextSpan

## Object Hierarchy

        GBoxed
        ╰── PopplerTextSpan

## Includes

    #include <poppler.h>

## Description

## Functions

### poppler_text_span_copy ()

    PopplerTextSpan *
    poppler_text_span_copy (PopplerTextSpan *poppler_text_span);

Makes a copy of a text span.

#### Parameters

poppler_text_span | a PopplerTextSpan |

#### Returns

A new PopplerTextSpan.

[transfer full]

Since: 0.26

### poppler_text_span_free ()

    void
    poppler_text_span_free (PopplerTextSpan *poppler_text_span);

Frees a text span.

#### Parameters

poppler_text_span | A PopplerTextSpan |

Since: 0.26

### poppler_text_span_get_color ()

    void
    poppler_text_span_get_color (PopplerTextSpan *poppler_text_span,
                                 PopplerColor *color);

Obtains the color in which the text is to be rendered.

#### Parameters

poppler_text_span | a PopplerTextSpan |
color | a return location for a PopplerColor. | [out]

Since: 0.26

### poppler_text_span_get_font_name ()

    const gchar *
    poppler_text_span_get_font_name (PopplerTextSpan *poppler_text_span);

Obtains the name of the font in which the span is to be rendered.

#### Parameters

poppler_text_span | a PopplerTextSpan |

#### Returns

A string containing the font name, or `NULL` if a font is not defined.

[transfer none]

Since: 0.26

### poppler_text_span_get_text ()

    const gchar *
    poppler_text_span_get_text (PopplerTextSpan *poppler_text_span);

Obtains the text contained in the span.

#### Parameters

poppler_text_span | a PopplerTextSpan |

#### Returns

A string.

[transfer none]

Since: 0.26

### poppler_text_span_is_bold_font ()

    gboolean
    poppler_text_span_is_bold_font (PopplerTextSpan *poppler_text_span);

Check whether a text span is meant to be rendered using a bold font.

#### Parameters

poppler_text_span | a PopplerTextSpan |

#### Returns

Whether the span uses bold font.

Since: 0.26

### poppler_text_span_is_fixed_width_font ()

    gboolean
    poppler_text_span_is_fixed_width_font (PopplerTextSpan *poppler_text_span);

Check wether a text span is meant to be rendered using a fixed-width font.

#### Parameters

poppler_text_span | a PopplerTextSpan |

#### Returns

Whether the span uses a fixed-width font.

Since: 0.26

### poppler_text_span_is_serif_font ()

    gboolean
    poppler_text_span_is_serif_font (PopplerTextSpan *poppler_text_span);

Check whether a text span is meant to be rendered using a serif font.

#### Parameters

poppler_text_span | a PopplerTextSpan |

#### Returns

Whether the span uses a serif font.

Since: 0.26

## Types and Values

### PopplerTextSpan

    typedef struct _PopplerTextSpan PopplerTextSpan;

Since 24.10 this type supports g_autoptr